%define upstream_name	 Gtk3
%define	upstream_version 0.026

%define perl_glib_require 1.280

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::Simple\\)

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the GTK+-3.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.xz
Patch1:     exceptions.diff
Patch6:     GdkX11.diff

BuildRequires: perl(Cairo::GObject)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection) 
BuildRequires: perl(Test::Simple)
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Glib
BuildRequires: perl-Glib-Object-Introspection 
BuildRequires: perl-Test-Simple
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: %{_lib}gtk+3.0-devel

Requires: perl(Glib)
Requires: gtk+3.0
Requires: %{_lib}gtk+3_0

%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
rm -rf %buildroot
%make_install

%files
%doc LICENSE META.json META.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%_mandir/*/*

%changelog
* Wed Mar 16 2016 bb <bb> 0.26.0-2pclos2016
- apply updated patch from tv

* Thu Feb 04 2016 bb <bb> 0.26.0-1pclos2016
- update

* Sat Jul 18 2015 bb <bb> 0.22.0-1pclos2015
- update
